Liblinphone: linphone::TunnelConfig Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::TunnelConfig Class Reference

Tunnel settings. More...

`#include <tunnel_config.hh>`

Inheritance diagram for linphone::TunnelConfig:

## Public Member Functions
LINPHONECXX_PUBLIC | TunnelConfig (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneTunnelConfig * | cPtr ()
LINPHONECXX_PUBLIC int | getDelay () const
| Get the UDP packet round trip delay in ms for a tunnel configuration.
LINPHONECXX_PUBLIC void | setDelay (int delay)
| Set the UDP packet round trip delay in ms for a tunnel configuration.
LINPHONECXX_PUBLIC std::string | getHost () const
| Get the IP address or hostname of the tunnel server.
LINPHONECXX_PUBLIC void | setHost (const std::string &host)
| Set the IP address or hostname of the tunnel server.
LINPHONECXX_PUBLIC std::string | getHost2 () const
| Get the IP address or hostname of the second tunnel server when using dual tunnel client.
LINPHONECXX_PUBLIC void | setHost2 (const std::string &host)
| Set the IP address or hostname of the second tunnel server when using dual tunnel client.
LINPHONECXX_PUBLIC int | getPort () const
| Get the TLS port of the tunnel server.
LINPHONECXX_PUBLIC void | setPort (int port)
| Set tls port of server.
LINPHONECXX_PUBLIC int | getPort2 () const
| Get the TLS port of the second tunnel server when using dual tunnel client.
LINPHONECXX_PUBLIC void | setPort2 (int port)
| Set tls port of the second server when using dual tunnel client.
LINPHONECXX_PUBLIC int | getRemoteUdpMirrorPort () const
| Get the remote port on the tunnel server side used to test UDP reachability.
LINPHONECXX_PUBLIC void | setRemoteUdpMirrorPort (int remoteUdpMirrorPort)
| Set the remote port on the tunnel server side used to test UDP reachability.

## Detailed Description

Tunnel settings.

## Member Function Documentation

## ◆ getDelay()

LINPHONECXX_PUBLIC int linphone::TunnelConfig::getDelay | ( |  | ) | const

Get the UDP packet round trip delay in ms for a tunnel configuration.

Returns
  The UDP packet round trip delay in ms.

## ◆ getHost()

LINPHONECXX_PUBLIC std::string linphone::TunnelConfig::getHost | ( |  | ) | const

Get the IP address or hostname of the tunnel server.

Returns
  The tunnel server IP address or hostname.

## ◆ getHost2()

LINPHONECXX_PUBLIC std::string linphone::TunnelConfig::getHost2 | ( |  | ) | const

Get the IP address or hostname of the second tunnel server when using dual tunnel client.

Returns
  The tunnel server IP address or hostname.

## ◆ getPort()

LINPHONECXX_PUBLIC int linphone::TunnelConfig::getPort | ( |  | ) | const

Get the TLS port of the tunnel server.

Returns
  The TLS port of the tunnel server

## ◆ getPort2()

LINPHONECXX_PUBLIC int linphone::TunnelConfig::getPort2 | ( |  | ) | const

Get the TLS port of the second tunnel server when using dual tunnel client.

Returns
  The TLS port of the tunnel server

## ◆ getRemoteUdpMirrorPort()

LINPHONECXX_PUBLIC int linphone::TunnelConfig::getRemoteUdpMirrorPort | ( |  | ) | const

Get the remote port on the tunnel server side used to test UDP reachability.

This is used when the mode is set auto, to detect whether the tunnel has to be enabled or not.

Returns
  The remote port on the tunnel server side used to test UDP reachability

## ◆ setDelay()

LINPHONECXX_PUBLIC void linphone::TunnelConfig::setDelay | ( | int | delay | ) |

Set the UDP packet round trip delay in ms for a tunnel configuration.

Parameters

  delay | The UDP packet round trip delay in ms considered as acceptable (recommended value is 1000 ms).

## ◆ setHost()

LINPHONECXX_PUBLIC void linphone::TunnelConfig::setHost | ( | const std::string & | host | ) |

Set the IP address or hostname of the tunnel server.

Parameters

  host | The tunnel server IP address or hostname.

## ◆ setHost2()

LINPHONECXX_PUBLIC void linphone::TunnelConfig::setHost2 | ( | const std::string & | host | ) |

Set the IP address or hostname of the second tunnel server when using dual tunnel client.

Parameters

  host | The tunnel server IP address or hostname.

## ◆ setPort()

LINPHONECXX_PUBLIC void linphone::TunnelConfig::setPort | ( | int | port | ) |

Set tls port of server.

Parameters

  port | The tunnel server TLS port, recommended value is 443

## ◆ setPort2()

LINPHONECXX_PUBLIC void linphone::TunnelConfig::setPort2 | ( | int | port | ) |

Set tls port of the second server when using dual tunnel client.

Parameters

  port | The tunnel server TLS port, recommended value is 443

## ◆ setRemoteUdpMirrorPort()

LINPHONECXX_PUBLIC void linphone::TunnelConfig::setRemoteUdpMirrorPort | ( | int | remoteUdpMirrorPort | ) |

Set the remote port on the tunnel server side used to test UDP reachability.

This is used when the mode is set auto, to detect whether the tunnel has to be enabled or not.

Parameters

  remoteUdpMirrorPort | The remote port on the tunnel server side used to test UDP reachability, set to -1 to disable the feature

The documentation for this class was generated from the following file:

- tunnel_config.hh